// RSSMU_Multi_Carrier_CW_ExampleDlg.h : header file
//

#if !defined(AFX_RSSMU_MULTI_CARRIER_CW_EXAMPLEDLG_H__4A370466_885B_4FDB_8A4C_33366F1D9F5E__INCLUDED_)
#define AFX_RSSMU_MULTI_CARRIER_CW_EXAMPLEDLG_H__4A370466_885B_4FDB_8A4C_33366F1D9F5E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* Error check macro for driver functions */

#define FT_CHECKERR(fcal, err) if ((rssmu_status = fcal) < 0){\
								 rssmu_close(instrSession);\
        						 sprintf (buffer, "Error: %ld, %s", rssmu_status, err);\
        						 AfxMessageBox (buffer, MB_OK);\
        						 return;\
        						 }

/////////////////////////////////////////////////////////////////////////////
// CRSSMU_Multi_Carrier_CW_ExampleDlg dialog

class CRSSMU_Multi_Carrier_CW_ExampleDlg : public CDialog
{
// Construction
public:
	CRSSMU_Multi_Carrier_CW_ExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSSMU_Multi_Carrier_CW_ExampleDlg)
	enum { IDD = IDD_RSSMU_MULTI_CARRIER_CW_EXAMPLE_DIALOG };
	double	m_CarrierSpacing;
	BOOL	m_Query;
	BOOL	m_CWState;
	int		m_NumberOfCarriers;
	BOOL	m_Reset;
	CString	m_ResName;
	double	m_RFFreq;
	double	m_RFLevel;
	BOOL	m_RFState;
	int		m_OptimCrestFactor;
	double	m_DesiredCRestFactor;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSSMU_Multi_Carrier_CW_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSSMU_Multi_Carrier_CW_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnApply();
	afx_msg void OnSelchangeOptimCrestFactor();
	afx_msg void OnKillfocusCarrerSpacing();
	afx_msg void OnKillfocusDesiredCrestFactor();
	afx_msg void OnKillfocusNumberOfCarriers();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSSMU_MULTI_CARRIER_CW_EXAMPLEDLG_H__4A370466_885B_4FDB_8A4C_33366F1D9F5E__INCLUDED_)
